Subject: RE: chmod suddenly ceased to work on old files - AFTER CYGWIN UPDATE
From: <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Mon, 4 Jul 2005 14:19:32 +0200

> Cygwin 1.3.22?  Wow, that's old, and unsupported!  And in two places,
> C:\cygwin\bin\cygwin1.dll and c:\Program 
> Files\OpenSSH\bin\cygwin1.dll?
> That's just asking for trouble!  

Actually, both DLLs happened to be identical, but nevertheless I removed
the version sitting in the OpenSSH directory, and adjusted the PATH so
that
ssh now uses the version in C:\cygwinbin.

> You can probably just delete 
> the Program
> Files\OpenSSH version, then update your installation using setup.exe
> (there have been so many bugs fixed between 1.3.22 and 1.5.17 that it
> isn't even funny), before any other help from this list will 
> be useful.
> And who knows, doing the update may even resolve your issue 
> with chmod

Unfortunately, it doesn't. chmod behaves still as before  :-(

I have enclosed an updated cygcheck log. Because of the upgrade, I now
also
have the 'stat' command, so here is the output of stat. Note that x is a
file where chmod does not work, while y is a "good" file:

$ stat x y
  File: `x'
  Size: 4               Blocks: 1          IO Block: 1024   regular file
Device: f7h/247d        Inode: 17462571716233526985  Links: 1
Access: (0700/-rwx------)  Uid: (56297/fischron)   Gid:
(10513/mkgroup_l_d)
Access: 2005-06-30 09:09:02.315724000 +0200
Modify: 2004-01-19 07:37:44.274608000 +0100
Change: 2005-07-01 21:34:10.959402000 +0200
  File: `y'
  Size: 4               Blocks: 1          IO Block: 1024   regular file
Device: f7h/247d        Inode: 17462571716233526986  Links: 1
Access: (0600/-rw-------)  Uid: (56297/fischron)   Gid:
(10513/mkgroup_l_d)
Access: 2005-06-28 09:07:20.109582000 +0200
Modify: 2005-07-04 14:17:51.193425000 +0200
Change: 2005-07-04 14:17:57.559365000 +0200

Any more suggestions what to do?

Ronald
--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/